AWS Amplify API
AWS Amplify Home
Options
All

- Public
- Public/Protected
- All

Inherited Externals Only exported
Menu

### Hierarchy

- S3ImageComponent

### Implements

- any
- any

## Index

### Constructors

- constructor

### Properties

- componentHost
- framework
- options
- path
- selected

### Methods

- loadComponent
- ngOnDestroy
- ngOnInit

## Constructors

### constructor

- new S3ImageComponent(componentFactoryResolver: ComponentFactoryResolver): S3ImageComponent

- - Defined in aws-amplify-angular/src/components/storage/s3-image-component/s3-image.factory.ts:46

  #### Parameters

  - ##### componentFactoryResolver: ComponentFactoryResolver

  #### Returns S3ImageComponent

## Properties

### componentHost

componentHost: DynamicComponentDirective

- Defined in aws-amplify-angular/src/components/storage/s3-image-component/s3-image.factory.ts:46

### framework

framework: string

- Defined in aws-amplify-angular/src/components/storage/s3-image-component/s3-image.factory.ts:41

### options

options: any

- Defined in aws-amplify-angular/src/components/storage/s3-image-component/s3-image.factory.ts:43

### path

path: string

- Defined in aws-amplify-angular/src/components/storage/s3-image-component/s3-image.factory.ts:42

### selected

selected: EventEmitter<string> = new EventEmitter<string>()

- Defined in aws-amplify-angular/src/components/storage/s3-image-component/s3-image.factory.ts:45

## Methods

### loadComponent

- loadComponent(): void

- - Defined in aws-amplify-angular/src/components/storage/s3-image-component/s3-image.factory.ts:56

  #### Returns void

### ngOnDestroy

- ngOnDestroy(): void

- - Defined in aws-amplify-angular/src/components/storage/s3-image-component/s3-image.factory.ts:54

  #### Returns void

### ngOnInit

- ngOnInit(): void

- - Defined in aws-amplify-angular/src/components/storage/s3-image-component/s3-image.factory.ts:50

  #### Returns void